Skip to content

DocExcpNotice⁠

Perform various operations for Symitar parameters.

Operations⁠

getDocExcpNotice⁠

POST

Retrieve document exception notice data.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocExcpNoticeNoticeNumberintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDocExcpNotice
POST /nexum/627/2022.01/parameter/getDocExcpNotice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DocExcpNoticeNoticeNumber": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getDocExcpNoticeSelectFields⁠

POST

Retrieve select fields for document exception notice data.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocExcpNoticeNoticeNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDocExcpNoticeSelectFields
POST /nexum/627/2022.01/parameter/getDocExcpNoticeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DocExcpNoticeNoticeNumber": 0,
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDocExcpNoticePagedList⁠

POST

Retrieve paged document exception notice data.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getDocExcpNoticePagedList
POST /nexum/627/2022.01/parameter/getDocExcpNoticePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDocExcpNoticeListSelectFields⁠

POST

Retrieve select fields for a list of document exception notice data.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getDocExcpNoticeListSelectFields
POST /nexum/627/2022.01/parameter/getDocExcpNoticeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDocExcpNoticeSelectFields⁠

POST

Field for selecting various options related to searchdocexcpnoticeselectfields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchDocExcpNoticeSelectFields
POST /nexum/627/2022.01/parameter/searchDocExcpNoticeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDocExcpNoticePagedListSelectFields⁠

POST

Retrieve select fields for paged document exception notice data.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getDocExcpNoticePagedListSelectFields
POST /nexum/627/2022.01/parameter/getDocExcpNoticePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDocExcpNoticeFields": true,
    "DocExcpNoticeFields": {
      "DaysAfterPreviousNotice": true,
      "Line1": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "NoticeNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}